CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

ImageWidth 属性 (ActiveX)

2023-1-3 14:32| 发布者: admin| 查看: 431| 评论: 0|来自: AutoCAD

摘要: 指定光栅图像的宽度。

指定光栅图像的宽度。

支持的平台:仅窗口

签名

工 务 局:

object.ImageWidth
对象

类型:地理地图图像,栅格图像擦除

此属性适用的对象。

属性值

只读:

类型:

光栅图像的宽度。

言论

此属性类似于属性。该属性指定图像的宽度(以像素为单位)。此属性以当前单位指定图像的宽度。WidthWidth

例子

工 务 局:

Sub Example_ImageWidth()
    ' This example adds a raster image in model space and then finds
    ' the height and width of the image.
    
    ' This example uses the "2d Projected Polylines.jpg" found in the Sample
    ' directory. If you do not have this image, or if it is located
    ' in a different directory, insert a valid path and file name
    ' for the imageName variable below.
    
    Dim insertionPoint(0 To 2) As Double
    Dim scalefactor As Double
    Dim rotationAngle As Double
    Dim imageName As String
    Dim rasterObj As AcadRasterImage
    imageName = "C:/AutoCAD/sample/2d Projected Polylines.jpg"
    insertionPoint(0) = 5#: insertionPoint(1) = 5#: insertionPoint(2) = 0#
    scalefactor = 1#
    rotationAngle = 0
    
    ' Creates a raster image in model space
    Set rasterObj = ThisDrawing.ModelSpace.AddRaster(imageName, insertionPoint, scalefactor, rotationAngle)
    
    ' Find the height and width of the raster image
    Dim height As Variant
    Dim width As Variant
    
    height = rasterObj.ImageHeight
    width = rasterObj.ImageWidth
    
    MsgBox "Raster image: " & rasterObj.ImageFile & vbCrLf & _
            "ImageHeight: " & Str(height) & vbCrLf & _
            "ImageWidth: " & Str(width)
            
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_ImageWidth()
    ;; This example adds a raster image in model space and then finds
    ;; the height and width of the image.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; This example uses the "2d Projected Polylines.jpg" found in the Sample
    ;; directory. If you do not have this image, or if it is located
    ;; in a different directory, insert a valid path and file name
    ;; for the imageName variable below.
    (setq insertionPoint (vlax-3d-point 5 5 0)
          imageName ".\\Sample\\VBA\\2d Projected Polylines.jpg"
          scalefactor 1
          rotationAngle 0)
    
    ;; Creates a raster image in model space
    (if (/= (findfile imageName) nil)
        (progn
            (setq modelSpace (vla-get-ModelSpace doc))
            (setq rasterObj (vla-AddRaster modelSpace (findfile imageName) insertionPoint scalefactor rotationAngle))
    
	           ;; Find the height and width of the raster image
	           (setq height (vla-get-ImageHeight rasterObj)
	                 width (vla-get-ImageWidth rasterObj))
	    
	           (alert (strcat "Raster image: " (vla-get-ImageFile rasterObj)
	                          "\nImageHeight: " (rtos height 2)
	                          "\nImageWidth: " (rtos width 2)))
        )
        (alert (strcat imageName " could not be found."))
    )
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 21:31

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部